--- klyx/admin/config.guess.orig	Fri Jun  1 13:54:36 2001
+++ klyx/admin/config.guess	Fri Jun  1 13:55:48 2001
@@ -473,6 +473,19 @@
 	fi
 	echo ${IBM_ARCH}-ibm-aix${IBM_REV}
 	exit 0 ;;
+     *:AIX:*:5)
+	case "`lsattr -El proc0 -a type -F value`" in
+		PowerPC*) IBM_ARCH=powerpc
+		 	  IBM_CPU=ibm ;;
+		Itanium)  IBM_ARCH=ia64 
+			  IBM_CPU=intel ;;
+		POWER*)   IBM_ARCH=power
+			  IBM_CPU=ibm ;;
+		*)	  IBM_ARCH=powerpc
+			  IBM_CPU=ibm ;;
+	esac
+	echo ${IBM_ARCH}-${IBM_CPU}-aix${UNAME_VERSION}.${UNAME_RELEASE}
+	exit 0 ;;
     *:AIX:*:*)
 	echo rs6000-ibm-aix
 	exit 0 ;;
--- klyx/admin/config.sub.orig	Fri Jun  1 13:54:44 2001
+++ klyx/admin/config.sub	Fri Jun  1 13:54:52 2001
@@ -481,6 +481,9 @@
 		basic_machine=hppa1.1-hp
 		os=-proelf
 		;;
+	ia64*)
+		basic_machine=ia64-intel
+		;;
 	i370-ibm* | ibm*)
 		basic_machine=i370-ibm
 		;;
--- klyx/admin/libtool.m4.in.orig	Fri Jun  1 13:55:37 2001
+++ klyx/admin/libtool.m4.in	Fri Jun  1 13:57:21 2001
@@ -511,6 +511,10 @@
   lt_cv_deplibs_check_method=pass_all
   ;;
 
+aix5*)
+  lt_cv_deplibs_check_method=pass_all
+  ;;
+
 beos*)
   lt_cv_deplibs_check_method=pass_all
   ;;
--- klyx/admin/ltcf-c.sh.orig	Fri Jun  1 13:57:32 2001
+++ klyx/admin/ltcf-c.sh	Fri Jun  1 13:57:49 2001
@@ -59,7 +59,7 @@
 
   # See if GNU ld supports shared libraries.
   case "$host_os" in
-  aix3* | aix4*)
+  aix3* | aix4* | aix5*)
     # On AIX, the GNU linker is very broken
     ld_shlibs=no
     cat <<EOF 1>&2
@@ -305,6 +305,42 @@
     link_all_deplibs=yes
    ;;
 
+  aix5*)
+    hardcode_libdir_separator=':'
+    link_all_deplibs=yes
+
+    case "$host_cpu" in
+      ia64)
+	if test "$with_gcc" = yes; then
+	  # GNU compiler
+	  archive_cmds='$CC -shared $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $lib'
+	  archive_expsym_cmds='$CC -shared $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-Bexport:$export_symbols -o $lib'
+	else
+	  # IBM compiler (xlc).  Anything older than Visual Age C 5.0 probably won't work.
+	  archive_cmds='$CC -G $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $lib'
+	  archive_expsym_cmds='$CC -G $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-Bexport:$export_symbols -o $lib'
+	fi
+      
+	hardcode_libdir_flag_spec='${wl}-R$libdir'
+	hardcode_direct=yes
+        ;;
+      *)
+	if test "$with_gcc" = yes; then
+	  # GNU compiler
+	  archive_cmds='$CC -shared $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-G -o $lib'
+	  archive_expsym_cmds='$CC -shared $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-G ${wl}-bE:$export_symbols -o $lib'
+	else
+	  # IBM compiler (xlc).  Anything older than Visual Age C 5.0 probably won't work.
+	  archive_cmds='$CC -qmkshrobj $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-G -o $lib'
+	  archive_expsym_cmds='$CC -qmkshrobj $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-G ${wl}-bE:$export_symbols -o $lib'
+	fi
+      
+	hardcode_libdir_flag_spec='${wl}-bnolibpath ${wl}-blibpath:$libdir:/usr/lib:/lib'
+	hardcode_direct=unsupported
+        ;;
+    esac
+    ;;
+
   amigaos*)
     archive_cmds='$rm $output_objdir/a2ixlibrary.data~$echo "#define NAME $libname" > $output_objdir/a2ixlibrary.data~$echo "#define LIBRARY_ID 1" >> $output_objdir/a2ixlibrary.data~$echo "#define VERSION $major" >> $output_objdir/a2ixlibrary.data~$echo "#define REVISION $revision" >> $output_objdir/a2ixlibrary.data~$AR $AR_FLAGS $lib $libobjs~$RANLIB $lib~(cd $output_objdir && a2ixlibrary -32)'
     hardcode_libdir_flag_spec='-L$libdir'
@@ -587,9 +623,14 @@
   else
     # PORTME Check for PIC flags for the system compiler.
     case "$host_os" in
-    aix3* | aix4*)
+    aix3* | aix4* | aix5*)
      # All AIX code is PIC.
-      ac_cv_prog_cc_static='-bnso -bI:/lib/syscalls.exp'
+      ac_cv_prog_cc_wl='-Wl,'
+
+      case "$host_cpu" in
+        ia64) ac_cv_prog_cc_static="${ac_cv_prog_cc_wl}-Bstatic" ;;
+        *) ac_cv_prog_cc_static="${ac_cv_prog_cc_wl}-bnso ${ac_cv_prog_cc_wl}-bI:/lib/syscalls.exp" ;;
+      esac
       ;;
 
     hpux9* | hpux10* | hpux11*)
--- klyx/admin/ltcf-cxx.sh.orig	Fri Jun  1 13:57:36 2001
+++ klyx/admin/ltcf-cxx.sh	Fri Jun  1 13:58:09 2001
@@ -154,6 +154,53 @@
     hardcode_direct=unsupported
     link_all_deplibs=yes
     ;;
+
+  aix5*)
+    hardcode_libdir_separator=':'
+    link_all_deplibs=yes
+
+    case "$host_cpu" in
+      ia64)
+	case "$cc_basename" in
+	  xlC)
+	    # IBM C++ compiler (xlC).  Anything older than Visual Age C++ 5.0 probably won't work.
+	    archive_cmds='$CC -G $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $lib'
+	    archive_expsym_cmds='$CC -G $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-Bexport:$export_symbols -o $lib'
+	    ;;
+	  *)
+	    if test "$with_gcc" = yes; then
+	      # GNU C++ compiler
+	      archive_cmds='$CC -shared $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $lib'
+	      archive_expsym_cmds='$CC -shared $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-Bexport:$export_symbols -o $lib'
+	    fi
+	    ;;
+	esac
+      
+	hardcode_libdir_flag_spec='${wl}-R$libdir'
+	hardcode_direct=yes
+        ;;
+      *)
+	case "$cc_basename" in
+	  xlC)
+	    # IBM C++ compiler (xlC).  Anything older than Visual Age C++ 5.0 probably won't work.
+	    archive_cmds='$CC -qmkshrobj $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-G -o $lib'
+	    archive_expsym_cmds='$CC -qmkshrobj $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-G ${wl}-bE:$export_symbols -o $lib'
+	    ;;
+	  *)
+	    if test "$with_gcc" = yes; then
+	      # GNU C++ compiler
+	      archive_cmds='$CC -shared $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-G -o $lib'
+	      archive_expsym_cmds='$CC -shared $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-G ${wl}-bE:$export_symbols -o $lib'
+	    fi
+	    ;;
+	esac
+      
+	hardcode_libdir_flag_spec='${wl}-blibpath:$libdir:/usr/lib:/lib'
+	hardcode_direct=unsupported
+        ;;
+    esac
+    ;;
+
   chorus*)
     case "$cc_basename" in
       *)
@@ -650,7 +697,7 @@
   esac
 else
   case "$host_os" in
-    aix4*)
+    aix4* | aix5*)
       # All AIX code is PIC.
       ;;
     chorus*)
--- klyx/admin/ltconfig.orig	Fri Jun  1 13:59:34 2001
+++ klyx/admin/ltconfig	Fri Jun  1 13:59:40 2001
@@ -953,6 +953,20 @@
   hardcode_into_libs=all
   ;;
 
+aix5*)
+  library_names_spec='${libname}${release}.so$versuffix ${libname}${release}.so$major $libname.so'
+
+  case "$host_cpu" in
+    ia64) version_type=sunos
+          shlibpath_var=LD_LIBRARY_PATH
+          ;;
+    *) version_type=linux
+       shlibpath_var=LIBPATH
+       hardcode_into_libs=all
+       ;;
+  esac
+  ;;
+
 amigaos*)
   library_names_spec='$libname.ixlibrary $libname.a'
   # Create ${libname}_ixlibrary.a entries in /sys/libs.
@@ -1434,7 +1448,7 @@
   fi
   ;;
 
-aix4*)
+aix4* | aix5*)
   test "$enable_shared" = yes && enable_static=no
   ;;
 esac
--- klyx/admin/ltmain.sh.orig	Fri Jun  1 13:59:45 2001
+++ klyx/admin/ltmain.sh	Fri Jun  1 13:59:56 2001
@@ -3486,8 +3486,11 @@
       fi
 
       # AIX runtime linking requires linking programs with -Wl,-brtl and libs with -Wl,-G
+      # This does not apply on AIX for ia64, which uses a SysV linker.
       case "$host" in
-        *-*-aix4*) compile_command="$compile_command $wl-brtl"
+        ia64-*-aix5*) ;;
+        *-*-aix4* | *-*-aix5*) 
+                   compile_command="$compile_command $wl-brtl"
                    finalize_command="$finalize_command $wl-brtl" ;;
       esac
 
